Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametri del percorso
name
string
necessario
Name of the model.
version
string
necessario
Version of the model.
Corpo della richiesta
The credential request request body.
blobUri
string
necessario
Blob URI of the model asset to fetch credentials for.
Risposte
The request has succeeded.
Corpo
blobReference
BlobReference
necessario
Blob reference details.
blobUri
string
necessario
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
necessario
ARM ID of the storage account to use.
credential
SasCredential
necessario
SAS Credential definition
sasUri
string
necessario
SAS uri
type
enum
necessario
Type of credential
Richiedi
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json